<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTxGainTempLutData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTxGainTempLutData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>TX gain temperature LUT inject.  
 <a href="structrl_tx_gain_temp_lut_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ac37785db9457dc44499bdd9997f0e1cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac37785db9457dc44499bdd9997f0e1cf"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_temp_lut_data__t.html#ac37785db9457dc44499bdd9997f0e1cf">profileIndx</a></td></tr>
<tr class="memdesc:ac37785db9457dc44499bdd9997f0e1cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:ac37785db9457dc44499bdd9997f0e1cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf21d0e07eb7e319c462706100aaad64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf21d0e07eb7e319c462706100aaad64"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_temp_lut_data__t.html#adf21d0e07eb7e319c462706100aaad64">reserved0</a></td></tr>
<tr class="memdesc:adf21d0e07eb7e319c462706100aaad64"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:adf21d0e07eb7e319c462706100aaad64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae77a4dc48e856fe2256432bd350f0f74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae77a4dc48e856fe2256432bd350f0f74"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_temp_lut_data__t.html#ae77a4dc48e856fe2256432bd350f0f74">txGainTempLut</a> [RL_TX_CNT][RL_MAX_NUM_OF_TEMP10_RANGES+1U]</td></tr>
<tr class="memdesc:ae77a4dc48e856fe2256432bd350f0f74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gain code for Tx0/1/2 <br />
 Byte0: TX gain code for temperature &lt; -30 deg C <br />
 Byte1: TX gain code for temperature [-30, -20) deg C <br />
 Byte2: TX gain code for temperature [-20, -10) deg C <br />
 Byte3: TX gain code for temperature [-10, 0) deg C <br />
 Byte4: TX gain code for temperature [0, 10) deg C <br />
 Byte5: TX gain code for temperature [10, 20) deg C <br />
 Byte6: TX gain code for temperature [20, 30) deg C <br />
 Byte7: TX gain code for temperature [30, 40) deg C <br />
 Byte8: TX gain code for temperature [40, 50) deg C <br />
 Byte9: TX gain code for temperature [50, 60) deg C <br />
 Byte10: TX gain code for temperature [60, 70) deg C <br />
 Byte11: TX gain code for temperature [70, 80) deg C <br />
 Byte12: TX gain code for temperature [80, 90) deg C <br />
 Byte13: TX gain code for temperature [90, 100) deg C <br />
 Byte14: TX gain code for temperature [100, 110) deg C <br />
 Byte15: TX gain code for temperature [110, 120) deg C <br />
 Byte16: TX gain code for temperature [120, 130) deg C <br />
 Byte17: TX gain code for temperature [130, 140) deg C <br />
 Byte18: TX gain code for temperature &gt;= 140 deg C <br />
 Byte19: RESERVED. Set it to 0x00 <br />
 Each byte is encoded as follows <br />
 Bits Definition <br />
 [5:0] STG_CODE <br />
 Higher values for higher gain <br />
 [7:6] RESERVED <br />
. <br /></td></tr>
<tr class="separator:ae77a4dc48e856fe2256432bd350f0f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8429e1ad7bb537a881bca1dd773aa1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8429e1ad7bb537a881bca1dd773aa1f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_temp_lut_data__t.html#ad8429e1ad7bb537a881bca1dd773aa1f">reserved1</a></td></tr>
<tr class="memdesc:ad8429e1ad7bb537a881bca1dd773aa1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ad8429e1ad7bb537a881bca1dd773aa1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>TX gain temperature LUT inject. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
